List Instances
curl --request GET \
--url https://api.novita.ai/gpu-instance/openapi/v1/gpu/instances \
--header 'Authorization: <authorization>' \
--header 'Content-Type: <content-type>'import requests
url = "https://api.novita.ai/gpu-instance/openapi/v1/gpu/instances"
headers = {
"Content-Type": "<content-type>",
"Authorization": "<authorization>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Content-Type': '<content-type>', Authorization: '<authorization>'}
};
fetch('https://api.novita.ai/gpu-instance/openapi/v1/gpu/instances', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"instances": [
{
"id": "<string>",
"name": "<string>",
"clusterId": "<string>",
"clusterName": "<string>",
"status": "<string>",
"imageUrl": "<string>",
"imageAuthId": "<string>",
"command": "<string>",
"entrypoint": "<string>",
"cpuNum": "<string>",
"memory": "<string>",
"gpuNum": "<string>",
"portMappings": [
{
"port": 123,
"type": "<string>"
}
],
"productId": "<string>",
"productName": "<string>",
"rootfsSize": 123,
"volumeMounts": [
{
"type": "<string>",
"size": "<string>",
"id": "<string>",
"mountPath": "<string>"
}
],
"statusError": {
"state": "<string>",
"message": "<string>"
},
"envs": [
{
"key": "<string>",
"value": "<string>"
}
],
"kind": "<string>",
"billingMode": "<string>",
"endTime": "<string>",
"spotStatus": "<string>",
"spotReclaimTime": "<string>"
}
]
}Instance
List Instances
GET
/
gpu-instance
/
openapi
/
v1
/
gpu
/
instances
List Instances
Request Headers
string
vereist
Enum:
application/jsonstring
vereist
Bearer authentication format, for example: Bearer {{API Key}}.
Query Parameters
integer
vereist
Maximum number of items returned per page. Integer, value >= 0.
integer
vereist
Page number to retrieve. Integer, value >= 0.
string
Instance name (supports fuzzy search). String, length limit: 0-255 characters.
string
Product name (supports fuzzy search). String, length limit: 0-255 characters.
string
Instance status. String, length limit: 0-63 characters. Possible values:
toCreate: Pending creationcreating: Creatingpulling: Pulling imagerunning: RunningtoStart: Pending startstarting: StartingtoStop: Pending stopstopping: Stoppingexited: StoppedtoRestart: Pending restartrestarting: RestartingtoRemove: Pending deletionremoving: Deletingremoved: DeletedtoReset: Pending reset (upgrade)resetting: Resettingmigrating: Migratingfreezing: Freezing
Response
object[]
vereist
Instance information.
Verbergen properties
Verbergen properties
string
vereist
Instance ID.
string
vereist
Instance name.
string
vereist
Cluster ID.
string
Cluster name.
string
vereist
Instance status.
string
vereist
Container image URL.
string
Image repository authentication information.
string
Container startup command.
string
Container startup entrypoint.
string
vereist
Number of CPU cores for the instance.
string
vereist
Memory size of the instance (GB).
string
vereist
Number of GPUs for the instance.
object[]
string
vereist
Product ID used to deploy the instance.
string
vereist
Product name used to deploy the instance.
integer
vereist
Root filesystem size (GB).
object[]
object
object[]
string
Instance type.
string
vereist
Billing mode for the instance. Values:
- onDemand: Pay-as-you-go billing.
- monthly: Subscription (monthly or yearly) billing.
- spot: Spot instance billing.
string
Expiration time for subscription instances. For pay-as-you-go instances, returns -1.
string
Spot instance status. Values:
running: Runningnotified: Notified for reclaimreclaiming: Being reclaimedterminated: Terminated
string
Spot instance reclaim time. Value “0” means reclaim has not started.
Laatst gewijzigd op 10 augustus 2026
⌘I